UrlCreatorCache.UrlCreatorKey (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class UrlCreatorCache.UrlCreatorKey

- org.grails.web.mapping.UrlCreatorCache.UrlCreatorKey

-     private static class UrlCreatorCache.UrlCreatorKey
      extends UrlCreatorCache.ReverseMappingKey

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.lang.String` | `encoding` |
    `protected java.lang.String` | `fragment` |
    `protected int` | `urlType` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class UrlCreatorCache.ReverseMappingKey` | `action, controller, httpMethod, namespace, paramKeys, paramValues, pluginName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlCreatorKey (java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map<java.lang.Object, java.lang.Object> params, java.lang.String encoding, java.lang.String fragment, int urlType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(java.lang.Object obj)`
    `` | `public int` | `hashCode()`
    `` | `public java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class UrlCreatorCache.ReverseMappingKey` | `equals, hashCode, toString, weight`

- - ### Field Detail

    - #### protected final java.lang.String encoding

    - #### protected final java.lang.String fragment

    - #### protected final int urlType

  - ### Constructor Detail

    - #### public UrlCreatorKey(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map<java.lang.Object, java.lang.Object> params, java.lang.String encoding, java.lang.String fragment, int urlType)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object obj)

    - #### @java.lang.Override public int hashCode()

    - #### @java.lang.Override public java.lang.String toString()